<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RMobileSmartClientProfile StructType
 * @subpackage Structs
 */
class RMobileSmartClientProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The mobileSmartClient
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $mobileSmartClient;
    /**
     * The enableSnrUri
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $enableSnrUri;
    /**
     * The enableCFAUri
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $enableCFAUri;
    /**
     * The handOffUri
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $handOffUri;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RMobileSmartClientProfile
     * @uses RMobileSmartClientProfile::setName()
     * @uses RMobileSmartClientProfile::setMobileSmartClient()
     * @uses RMobileSmartClientProfile::setEnableSnrUri()
     * @uses RMobileSmartClientProfile::setEnableCFAUri()
     * @uses RMobileSmartClientProfile::setHandOffUri()
     * @uses RMobileSmartClientProfile::setUuid()
     * @param string $name
     * @param string $mobileSmartClient
     * @param string $enableSnrUri
     * @param string $enableCFAUri
     * @param string $handOffUri
     * @param string $uuid
     */
    public function __construct($name = null, $mobileSmartClient = null, $enableSnrUri = null, $enableCFAUri = null, $handOffUri = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setMobileSmartClient($mobileSmartClient)
            ->setEnableSnrUri($enableSnrUri)
            ->setEnableCFAUri($enableCFAUri)
            ->setHandOffUri($handOffUri)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobileSmartClientProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get mobileSmartClient value
     * @return string|null
     */
    public function getMobileSmartClient()
    {
        return $this->mobileSmartClient;
    }
    /**
     * Set mobileSmartClient value
     * @param string $mobileSmartClient
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobileSmartClientProfile
     */
    public function setMobileSmartClient($mobileSmartClient = null)
    {
        $this->mobileSmartClient = $mobileSmartClient;
        return $this;
    }
    /**
     * Get enableSnrUri value
     * @return string|null
     */
    public function getEnableSnrUri()
    {
        return $this->enableSnrUri;
    }
    /**
     * Set enableSnrUri value
     * @param string $enableSnrUri
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobileSmartClientProfile
     */
    public function setEnableSnrUri($enableSnrUri = null)
    {
        $this->enableSnrUri = $enableSnrUri;
        return $this;
    }
    /**
     * Get enableCFAUri value
     * @return string|null
     */
    public function getEnableCFAUri()
    {
        return $this->enableCFAUri;
    }
    /**
     * Set enableCFAUri value
     * @param string $enableCFAUri
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobileSmartClientProfile
     */
    public function setEnableCFAUri($enableCFAUri = null)
    {
        $this->enableCFAUri = $enableCFAUri;
        return $this;
    }
    /**
     * Get handOffUri value
     * @return string|null
     */
    public function getHandOffUri()
    {
        return $this->handOffUri;
    }
    /**
     * Set handOffUri value
     * @param string $handOffUri
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobileSmartClientProfile
     */
    public function setHandOffUri($handOffUri = null)
    {
        $this->handOffUri = $handOffUri;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMobileSmartClientProfile
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
